function a=Lunar_topog(map)

% January 30, 2004
% ENAE 484: MORPHLab project
% David Pullen

% Input: map #
    % maps are downloaded from:
    % ftp://pds-geophys.wustl.edu/pub/www/clementine/topo/

% Output: altitude array

% Map 1 has resolution of 1 degree and requires topogrd1.dat in the working
% directory.
% Map 2 has resolution of 1/4 degree and requires topogrd2.dat in the
% working directory.

if nargin < 1
    map=1;
end

if (map ~= 1 & map ~=2)
    disp('Invalid map number')
    break
end

if (map == 1)
    fid=fopen('topogrd1.dat'); % Open file for reading
    TOP=fscanf(fid, '%f', [360 inf]); % Read in 360xN array
    TOP=TOP';
    scale=1;
    X=[1:1:360];
    Y=[-89.5:1:89.5];
end
if (map == 2)
    fid=fopen('topogrd2.dat');
    TOP=fscanf(fid, '%f', [1440 inf]);
    TOP=TOP';
    scale=4;
    X=[.125:.25:359.875];
    Y=[-89.875:.25:89.875];
end

fclose(fid); % Close file link

for i=[1:length(Y)]
    for j=[1:length(X)]
        meshX(i,j)=(173600+TOP(i,j))*cos(X(j)*pi/180)*cos(Y(i)*pi/180);
        meshY(i,j)=(173600+TOP(i,j))*sin(X(j)*pi/180)*cos(Y(i)*pi/180);
        meshZ(i,j)=(173600+TOP(i,j))*sin(Y(i)*pi/180);
    end
end

Q=mesh(meshX,meshY,meshZ,TOP);

axis equal;
a=1;